Subject: Re: RFC: Location for Device Tree Sources?

From: Jon Loeliger <[email-masked]>
Date: Wed, 09 Aug 2006 11:48:34 -0500

So, like, the other day "Mark A. Greer" mumbled:
> > We're only talking about the _source_ files.  The .dts files.  Not the
> > binary trees themselves.
> > 
> > The basic summary is that having a .dts in the kernel for every
> > defconfig would be good.  (I think that was the summary anyway.)
> 
> That's my understanding too.  A 1-1 matching of default config files
> and dts files kept in the kernel src trees.

And the keen observer who watches Paul's tree will have
noticed that the first DTS file, mpc8641_hpcn.dts, has already
been added to arch/powerpc/boot/dts!

> Any extra dts files 

... of which there are none...

> ...would be kept whereever dtc src is stored (i.e., jdl.com).
>  I haven't heard jdl agree to this, though.  :)

Sure.  No problem by me.

Though I do have a question WRT the notion of the libdt...

So, if I understand this proposal correctly, making libdt.a
would mean that we will now have to link the kernel against
this new, external dependency library.  It would also mean
that we'd have to link U-Boot against this new, external
library as well.

Did I misunderstand or is everyone hip, jiggie and down with that?

jdl